#
# spec file for package rubygem-RedCloth
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-RedCloth
Version:        4.2.9
Release:        16.16
%define mod_name RedCloth
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://redcloth.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-RedCloth-rpmlintrc
Source2:        series
Source3:        gem2rpm.yml
# MANUAL
Patch0:  0001-Filter-out-javascript-links-when-using-filter_html-o.patch
# /MANUAL
Summary:        Textile parser for Ruby
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Textile parser for Ruby.

%prep
%gem_unpack
%patch0 -p1
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG COPYING README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Jun 15 2015 mrueckert@suse.de
- pulled patches from debian package for boo#912212 CVE-2012-6684
  adds the following patch:
  0001-Filter-out-javascript-links-when-using-filter_html-o.patch
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Jan 18 2014 coolo@suse.com
- use new macros
* Tue Jul 17 2012 coolo@suse.com
- update to 4.2.9
  * Fix RbConfig / Config warning in Ruby 1.9.3. [Steve Purcell, Robert Gleeson, and unclaimedbaggage]
  * Use RSTRING_NOT_MODIFIED header for Rubinius [Dirkjan Bussink]
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 mrueckert@suse.de
- update to version 4.2.8
  * Do not treat warnings as errors so it compiles cleanly.
    [Tomasz Wałkuski]
* Wed Jul 27 2011 fcastelli@novell.com
- Fix build on SLE
* Thu Jul 21 2011 fcastelli@novell.com
- update to version 4.2.7
  * Fixed typo in gemspec to make case-sensitive require
    work. [Gabe da Silveira]
  * Tested installing the gem and requiring it with both cases on
    Ubuntu 8.04, 10.10 and OS X Version 10.6.6.
  * Have spaces around the en-dash in LaTeX [Benjamin Quorning]
  * Turned double-quote close to smart quotes in LaTeX [Jonathan D. Blake]
  * Add case-sensitive require back into the gemspec.
  * Fix rdoc options in gemspec.
  * Fix bundler and rubygems-test incompatibilities. Working around bug:
    https://github.com/carlhuda/bundler/issues/issue/1021
  * Add .gemtest to opt-in to rubygems-test program (gem install
    rubygems-test to participate)
  * Allow attributes to be set on hr and br tags [Jesse Stormier]
  * Fix dangling <li> [Stephen Bannasch]
  * Switch to bundler and rake-compiler for gem management/compilation
  * Fix invalid YAML for Ruby 1.9.2 [Aaron Patterson]-
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 4.2.3
  * Allow quotes in styles so you can do things like listing
    font-families. [Jason Garber]
  * Fix uninitialized constant
    Gem::Specification::PLATFORM_CROSS_TARGETS in Rails
    [Jason Garber]
  * Allow uppercase letters in class and ID attributes even though
    it's invalid [Jason Garber]
  * Fix compatibility with newer Echoe, by using full-name for
    Platform [Flameeyes]
  * Fixes for PPC/PPC64 [Flameeyes]
  * Added a modified copy of 'Textile Reference' to a doc folder
    [codesponge]
  * Add footnote return links [Jonathan Rudenberg]
  * Add bug report link to the README
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Aug 31 2009 dmacvicar@novell.com
- update to 4.2.2
* Thu Nov  6 2008 mrueckert@suse.de
- Fix build: we dont have ruby18
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 3.0.4
